## org.apache.poi.hslf.record
Class DummyRecordWithChildren

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.DummyRecordWithChildren

    public final class DummyRecordWithChildren

extends RecordContainer

If we come across a record we know has children of (potential) interest, but where the record itself is boring, we create one of these. It allows us to get at the children, but not much else

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.RecordContainer
`_children`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`protected` `DummyRecordWithChildren(byte[] source, int start, int len)` Create a new holder for a boring record with children

Method Summary
`long` `getRecordType()` Return the value we were given at creation
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordContainer
`addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyRecordWithChildren

    protected DummyRecordWithChildren(byte[] source,
                                      int start,
                                      int len)

  Create a new holder for a boring record with children

Method Detail

### getRecordType

    public long getRecordType()

  Return the value we were given at creation

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.